import { FEATURES } from './feature.constants';

export const APP_CONSTANTS = {
  PROPS: {
    STORAGE_TOKEN: 'prop.session-token-mock',
    STORAGE_TOKEN_MOCK: 'prop.session-token',
    STORAGE_HOUR_TOKEN: 'prop.session-hour-token',
  },
  DEFAULT_DATE_FORMAT: 'E, dd MMM, yyyy',
  FILENAME_DATE_FORMAT: 'yyyyMMdd',
  OTP_TIME_SECOND: 60,
  OTP_MAX_ATTEMPTS: 3,
  API_NAME: 'admin',
  DEFAULT_COUNTRY: 'US',
  HTTP_CODES: {
    NOT_FOUND: 404,
    FORBIDDEN: 403,
    BAD_REQUEST: 400,
    UNAUTHORIZED: 401,
    CONFLICT: 409,
    NOT_CONTENT: 204,
    OK: 200,
  },
  TEST_INFO: {
    TOKEN: 'gR3MaJoR4R3C8rshY0',
    EMAIL: 'movers@wearemo.com',
    USER: 'movers@wearemo.com',
  },
  SUPPORT_EMAIL: 'motechsupport@wearemo.com',
  ROUTES: {
    AUTH: {
      LOGIN: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.LOGIN.PATH}`,
      SET_PASS: {
        _PATH: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.SET_PASS.PATH}`,
        CREATE_PASSWORD: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.SET_PASS.PATH}/${FEATURES.AUTH.PAGES.SET_PASS.SUB_PAGES.CREATE_PASS.PATH}`,
        SUCCESS: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.SET_PASS.PATH}/${FEATURES.AUTH.PAGES.SET_PASS.SUB_PAGES.SUCCESS.PATH}`,
      },
      FORGOT_PASSWORD: {
        _PATH: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.PATH}`,
        EMAIL: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.SUB_PAGES.EMAIL.PATH}`,
        CODE: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.SUB_PAGES.VERIFICATION_CODE.PATH}`,
        CREATE_PASS: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.SUB_PAGES.CREATE_PASS.PATH}`,
        SUCCESS: `/${FEATURES.AUTH.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.PATH}/${FEATURES.AUTH.PAGES.FORGOT_PASSWORD.SUB_PAGES.SUCCESS.PATH}`,
      },
    },

    MY_ACCOUNT: `/${FEATURES.MY_ACCOUNT.PATH}`,
    CREDIT_SCORE: '/credit-score',
    SETTINGS: '/settings',
    NOTIFICATION_CENTER: '/notification-center',
    FAQ: '/faq',
    HELP_CENTER: '/help-center',
    SUPPORT: '/support',
  },

  API_URLS: {},
  DOCUMENTS: {},
};
